%define upstream_name    Math-Clipper
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Polygon clipping in 2D
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CppGuess) >= 0.70.0
BuildRequires: perl(ExtUtils::Typemaps::Default) >= 0.50.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.160.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::WithXSpp) >= 0.100.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl-devel
%description
'Clipper' is a C++ (and Delphi) library that implements polygon clipping.

Exports
    The module optionally exports a few constants to your namespace.
    Standard Exporter semantics apply (including the ':all' tag).

    The list of exportable constants is comprised of the clip operation
    types (which should be self-explanatory):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 369586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 1.160.0-1.mga3
+ Revision: 338087
- update to 1.16

* Sat Nov 17 2012 shlomif <shlomif> 1.150.0-1.mga3
+ Revision: 319174
- update to 1.15

* Tue Nov 06 2012 jquelin <jquelin> 1.140.0-1.mga3
+ Revision: 315136
- update to 1.14

* Wed Oct 24 2012 shlomif <shlomif> 1.110.0-1.mga3
+ Revision: 309558
- update to 1.11

* Wed Oct 17 2012 shlomif <shlomif> 1.100.0-1.mga3
+ Revision: 307622
- update to 1.10

* Tue Jul 03 2012 shlomif <shlomif> 1.90.0-1.mga3
+ Revision: 267074
- update to 1.09

* Thu May 31 2012 shlomif <shlomif> 1.70.0-3.mga3
+ Revision: 252443
- Add a BR on Module::Build::WithXSpp
- Add perl-devel to the BR
- imported package perl-Math-Clipper

